{combine_script id="jquery.ui" require='jquery' path="themes/default/js/ui/jquery.ui.core.js"}
{combine_script id="jquery.ui.widget" require='jquery.ui' path="themes/default/js/ui/jquery.ui.widget.js"}
{combine_script id="jquery.ui.mouse" require='jquery.ui.widget' path="themes/default/js/ui/jquery.ui.mouse.js"}
{combine_script id="jquery.ui.slider" require='jquery.ui.widget' src="themes/default/js/ui/jquery.ui.slider.js"}

<h2>{'gmaps_config'|@translate}</h2>

{literal}
<script type='text/javascript'>

  function configManager()
  {
    this.init = function ()
    {
      $("#iBDPopupAutomaticSizeSlider").slider(
        {
          min:50,
          max:95,
          step:1,
          value:{/literal}{$gmapsConfig.popupAutomaticSize*100}{literal},
          slide: function(event, ui) { changeSize(ui.value); }
        });
      changeSize($("#iBDPopupAutomaticSizeSlider").slider('value'));
    }

    /**
     * change the popup ratio
     * @param value : the ratio
     */
    var changeSize = function (value)
    {
      $('#iBDPopupAutomaticSizeDisplay').html(value+"% {/literal}{'gmaps_of_window_size'|@translate}{literal}");
      $('#iBDPopupAutomaticSizeValue').val(value/100);
    };

    this.submit = function ()
    {
      $('#iForm').get(0).submit();
    }

    this.init();
  }

</script>
{/literal}



<form method="POST" action="" id='iForm'>


  <table class="formtable">
    <tr>
      <td>{'gmaps_popup_automatic_size'|@translate}</td>
      <td>
        <input type="hidden" id="iBDPopupAutomaticSizeValue" name='fBDPopupAutomaticSize' value="">
        <div id="iBDPopupAutomaticSizeSlider" class="gcBgInput gcBorderInput"></div>
      </td>
      <td>
        <div id="iBDPopupAutomaticSizeDisplay"></div>
      </td>
    </tr>
  </table>


  <div class='cfgBloc'>
    <input type="button" onclick="cm.submit();" value="{'gmaps_apply'|@translate}">
  </div>

</form>


{literal}
<script type="text/javascript">
  var cm=new configManager();
</script>
{/literal}
